Skip to main content

Model Version

View as Markdown

ModelVersionInfo object

model_namestring

The name of the parent registered model of the model version, relative to parent schema

catalog_namestring

The name of the catalog containing the model version

schema_namestring

The name of the schema containing the model version, relative to parent catalog

sourcestring

URI indicating the location of the source artifacts (files) for the model version

commentstring

The comment attached to the model version

Constraints: [ 1 .. 65536 ] characters

run_idstring

MLflow run ID used when creating the model version, if source was generated by an experiment run stored in an MLflow tracking server

run_workspace_idint64

ID of the <Databricks> workspace containing the MLflow run that generated this model version, if applicable

model_version_dependenciesobject

Model version dependencies, for feature-store packaged models

Show child attributesHide child attributes
dependenciesarray of object

Array of dependencies.

Show child attributesHide child attributes
tableobject
Show child attributesHide child attributes
table_full_namestring

Full name of the dependent table, in the form of catalog_name.schema_name.table_name.

functionobject
Show child attributesHide child attributes
function_full_namestring

Full name of the dependent function, in the form of catalog_name.schema_name.function_name.

connectionobject
Show child attributesHide child attributes
connection_namestring

Full name of the dependent connection, in the form of connection_name.

credentialobject
Show child attributesHide child attributes
credential_namestring

Full name of the dependent credential, in the form of credential_name.

statusstring

Current status of the model version. Newly created model versions start in PENDING_REGISTRATION status, then move to READY status once the model version files are uploaded and the model version is finalized. Only model versions in READY status can be loaded for inference or served.

Values: MODEL_VERSION_STATUS_UNKNOWN, PENDING_REGISTRATION, FAILED_REGISTRATION, READY

versionint64

Integer model version number, used to reference the model version in API requests.

storage_locationstring

The storage location on the cloud under which model version data files are stored

metastore_idstring

The unique identifier of the metastore containing the model version

created_atint64
created_bystring

The identifier of the user who created the model version

updated_atint64
updated_bystring

The identifier of the user who updated the model version last time

idstring

The unique identifier of the model version

aliasesarray of object

List of aliases associated with the model version

Show child attributesHide child attributes
alias_namestring

Name of the alias, e.g. 'champion' or 'latest_stable'

version_numint64

Integer version number of the model version to which this alias points.

idstring

The unique identifier of the alias

model_namestring

The name of the parent registered model of the model version, relative to parent schema

catalog_namestring

The name of the catalog containing the model version

schema_namestring

The name of the schema containing the model version, relative to parent catalog

List GA

GET /api/2.1/unity-catalog/models/{full_name_arg}/versions

List model versions. You can list model versions under a particular schema, or list all model versions in the current metastore.

The returned models are filtered based on the privileges of the calling user. For example, the metastore admin is able to list all the model versions. A regular user needs to be the owner or have the EXECUTE privilege on the parent registered model to receive the model versions in the response. For the latter case, the caller must also be the owner or have the USE_CATALOG privilege on the parent catalog and the USE_SCHEMA privilege on the parent schema.

There is no guarantee of a specific ordering of the elements in the response. The elements in the response will not contain any aliases or tags.

PAGINATION BEHAVIOR: The API is by default paginated, a page may contain zero results while still providing a next_page_token. Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

Parameters

full_name_argstringpath

The full three-level name of the registered model under which to list model versions

max_resultsint64query

Maximum number of model versions to return. If not set, the page length is set to a server configured value (100, as of 1/3/2024).

  • when set to a value greater than 0, the page length is the minimum of this value and a server configured value(1000, as of 1/3/2024);
  • when set to 0, the page length is set to a server configured value (100, as of 1/3/2024) (recommended);
  • when set to a value less than 0, an invalid parameter error is returned;

Default: 100

Constraints: <= 1000

page_tokenstringquery

Opaque pagination token to go to next page based on previous query.

include_browsebooleanquery

Whether to include model versions in the response for which the principal can only access selective metadata for

Response

Returns a list of ModelVersionInfo objects.